import { AbstractSession, IHandlerParameters, IProfile } from "@zowe/imperative";
import { ICMCIApiResponse } from "../../../api";
import { CicsBaseHandler } from "../../CicsBaseHandler";
/**
 * Command handler for defining CICS URIMaps via CMCI
 * @export
 * @class UrimapServerHandler
 * @implements {ICommandHandler}
 */
export default class UrimapServerHandler extends CicsBaseHandler {
    processWithSession(params: IHandlerParameters, session: AbstractSession, profile: IProfile): Promise<ICMCIApiResponse>;
}
