import { IHandlerParameters, AbstractSession } from "@zowe/imperative";
import { DB2BaseHandler } from "../../../index";
/**
 * Command handler for exporting a DB2 table
 * @export
 * @class TableHandler
 * @implements {ICommandHandler}
 */
export default class TableHandler extends DB2BaseHandler {
    processWithDB2Session(params: IHandlerParameters, session: AbstractSession): Promise<void>;
}
